/*******************************************************************************
 * Copyright (c) 2013, Perforce Software
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ******************************************************************************/
package com.perforce.search.manager.impl;

import java.util.Date;
import java.util.Map;

import com.perforce.p4java.extension.path.PerforcePath;

public class QueueFile {
    private PerforcePath depotPath;
    private int rev;
    private long fileSize;
    private boolean indexPreviousRevs;
    private boolean deletedAtHead;
    private String modifiedUser;
    private Date modifiedDate;
    private Map<String, String> fstatData;

    public PerforcePath getDepotPath() {
	return depotPath;
    }

    public int getRev() {
	return rev;
    }

    public long getFileSize() {
	return fileSize;
    }

    public boolean isIndexPreviousRevs() {
	return indexPreviousRevs;
    }

    public boolean isDeletedAtHead() {
	return deletedAtHead;
    }

    public String getModifiedUser() {
	return modifiedUser;
    }

    public Date getModifiedDate() {
	return modifiedDate;
    }

    public Map<String, String> getFstatData() {
	return fstatData;
    }

    public QueueFile(final PerforcePath depotPath, final int rev,
	    final long fileSize, final boolean indexPrevious,
	    final boolean deletedAtHead, final String user, final Date date,
	    final Map<String, String> fstatData) {
	this.depotPath = depotPath;
	this.rev = rev;
	this.fileSize = fileSize;
	this.indexPreviousRevs = indexPrevious;
	this.deletedAtHead = deletedAtHead;
	this.modifiedUser = user;
	this.modifiedDate = date;
	this.fstatData = fstatData;
    }

    public void setRev(final int rev) {
	this.rev = rev;
    }
};
